Bug 975107 (CVE-2013-2472)

Summary: CVE-2013-2472 OpenJDK: Incorrect ShortBandedRaster size checks (2D, 8011253)
Product: [Other] Security Response Reporter: Stefan Cornelius <scorneli>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: dbhole, jlieskov, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-17 15:57:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 973111    

Description Stefan Cornelius 2013-06-17 16:05:48 UTC
It was discovered that the ShortBandedRaster class of the 2D component did not properly verify that the data buffer size fits the raster attributes. An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.

Comment 1 Jan Lieskovsky 2013-06-19 14:27:51 UTC
External References:

http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html

Comment 2 errata-xmlrpc 2013-06-20 00:04:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html

Comment 3 errata-xmlrpc 2013-06-20 00:09:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html

Comment 4 Stefan Cornelius 2013-06-20 11:46:49 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/3cd4bec64e31

Comment 5 errata-xmlrpc 2013-06-20 14:52:27 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html

Comment 6 errata-xmlrpc 2013-07-03 17:11:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1014 https://rhn.redhat.com/errata/RHSA-2013-1014.html

Comment 7 errata-xmlrpc 2013-07-15 20:42:51 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1060 https://rhn.redhat.com/errata/RHSA-2013-1060.html

Comment 8 errata-xmlrpc 2013-07-15 20:53:00 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1059 https://rhn.redhat.com/errata/RHSA-2013-1059.html

Comment 9 errata-xmlrpc 2013-07-16 17:22:13 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1081 https://rhn.redhat.com/errata/RHSA-2013-1081.html

Comment 11 errata-xmlrpc 2013-10-23 16:43:30 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 12 errata-xmlrpc 2013-10-23 16:54:14 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Comment 13 errata-xmlrpc 2014-04-17 11:34:04 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html